# fast-tslint-rules
This project provides [tslint](https://github.com/palantir/tslint) rules for all FAST projects.

## Usage
### Installation
Install the package:

```shell
npm i @microsoft/fast-tslint-rules
```


### Configure your tslint config
Add *fast-tslint-rules* as an extension to your `tslint.json`:

```json
{
    "extends": "@microsoft/fast-tslint-rules" 
}
```

If your are extending multiple rulesets, you can define `extends` as an array of strings:

```json
{
    "extends": [
        "@microsoft/fast-tslint-rules",
        "another-tslint-ruleset"
    ]
}
```

Please see [configuring tslint](https://palantir.github.io/tslint/usage/configuration/) for more details.

# Contributing

This project welcomes contributions and suggestions.  Most contributions require you to agree to a
Contributor License Agreement (CLA) declaring that you have the right to, and actually do, grant us
the rights to use your contribution. For details, visit https://cla.microsoft.com.

When you submit a pull request, a CLA-bot will automatically determine whether you need to provide
a CLA and decorate the PR appropriately (e.g., label, comment). Simply follow the instructions
provided by the bot. You will only need to do this once across all repos using our CLA.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or
contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any additional questions or comments.
